Дата публикации: 14.11.2017

IBProvider v3.47. LCPI ADO.NET Provider v1.2, v1.3. LCPI OLE DB Services v1.1

У нас есть отличная новость для всех пользователей IBProvider v3 – мы переписали последнюю подсистему, унаследованную от второй версии провайдера.

Иными словами — мы наконец-то полностью обновили и улучшили весь IBProvider v3!

IBProvider v3.47

  • Исключено использование класса std::locale (STL), который создал критические проблемы у одного из наших пользователей
  • Переписан код для сравнения значений OLE DB типов данных

Рекомендуется обновить вашу версию IBProvider до текущей.

ADO.NET Data Provider v1.2

  • Добавлены сборки, откомпилированные под .NET Standard 2.0
  • Минимальная поддерживаемая версия IBProvider – 3.47.0.27224

Пожалуйста, ознакомьтесь с новым примером, демонстрирующим важные моменты в работе с нашим ADO.NET провайдером из .NET Core приложений.

ADO.NET Data Provider v1.3

  • Переименование модулей (DLL) первого DDEX провайдера для VS2008-VS2015. Это было сделано для унификации со вторым DDEX провайдером для VS2017

LCPI OLE DB Services v1.1

  • Исключено использование класса std::locale (STL).

Дополнительно

Основные сборки (vc15, 32/64 bit) IBProvider (build 27224) и «LCPI OLE DB Services» (build 507) прошли расширенное многопоточное нагрузочное тестирование с Firebird 3.0.3.32815 (SuperServer, x64).

Сам FB3 наработал более 1 месяца процессорного времени: 1, 2.

В случае использования IBProvider с Firebird в системах критичных к сбоям (например, MSSQL), рекомендуется указывать в строке подключения «fbclient_type=fb.direct».

Далее

В настоящее время мы достигли очередной точки стабилизации процесса разработки и определяем следующее направление развития проекта. Вы можете повлиять на это, прислав нам свои предложения и отзывы.


Дата публикации: 14.11.2017. Права на материал принадлежат: IBProvider. При перепечатке ссылка на сайт http://www.ibprovider.com/rus обязательна.